%global realname xmlrpc
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	1.13
Release:	6%{?dist}
Summary:	HTTP 1.1 compliant XML-RPC library for Erlang
Group:		Development/Libraries
License:	BSD
URL:		http://github.com/rwbr/exmlrpc
Source0:	http://erlang.stacken.kth.se/contrib/%{realname}-%{version}.tgz
Patch1:		xmlrpc-fixes.diff
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-erts
BuildRequires:	erlang-xmerl
Requires:	erlang-erts >= R12B-5
Requires:	erlang-kernel >= R12B-5
Requires:	erlang-stdlib >= R12B-5
Requires:	erlang-xmerl >= R12B-5


%description
HTTP 1.1 compliant XML-RPC library for Erlang.


%prep
%setup -q -n %{realname}-%{version}
%patch1 -p1


%build
cd src && make %{?_smp_mflags}


%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -d %{buildroot}%{_mandir}/man3/

install -m 644 -p ebin/*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -m 644 -p doc/%{realname}.3 %{buildroot}%{_mandir}/man3/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README TODO examples/ doc/xmlrpc.pdf doc/xmlrpc.ps doc/xmlrpc.txt
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/tcp_serv.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_*.beam
%{_mandir}/man3/%{realname}.3*


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 28 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.13-2
- Ensure consistency in macro usage

* Thu Oct 21 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.13-1
- Initial build

